Subject: Re: I2C and CAN bus on MPC5200B device tree

From: Scott Wood <[email-masked]>
Date: Mon, 14 Jan 2008 13:04:08 -0600

On Sun, Jan 13, 2008 at 10:42:16PM -0600, Olof Johansson wrote:
> I think simple devices might have been agreed upon (but it's been a
> while since it was covered). Muxed busses probably hasn't. Either that
> or I completely missed the emails.

I posted something in one of the i2c device tree threads a while ago:
http://ozlabs.org/pipermail/linuxppc-dev/2007-May/036353.html

Basically, you just have a node that is both an i2c device and an i2c
controller, and the mux driver binds to it and registers the subordinate
buses as new i2c controllers.

-Scott